<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>com.storlead.boot</groupId>
        <artifactId>storlead-user</artifactId>
        <version>1.0</version>
        <relativePath>../pom.xml</relativePath>
    </parent>

    <artifactId>storlead-user-biz</artifactId>
    <packaging>jar</packaging>
    <name>storlead-user-biz</name>
    <description>用户域实现：Mapper、Service 实现、工具与自动配置。</description>

    <dependencies>
        <dependency>
            <groupId>com.storlead.boot</groupId>
            <artifactId>storlead-user-spi</artifactId>
        </dependency>
        <dependency>
            <groupId>io.jsonwebtoken</groupId>
            <artifactId>jjwt</artifactId>
        </dependency>
        <dependency>
            <groupId>com.storlead.boot</groupId>
            <artifactId>storlead-mybatis</artifactId>
        </dependency>
        <dependency>
            <groupId>com.storlead.boot</groupId>
            <artifactId>storlead-common</artifactId>
        </dependency>
        <dependency>
            <groupId>com.storlead.boot</groupId>
            <artifactId>storlead-thirdparty-api</artifactId>
        </dependency>
        <dependency>
            <groupId>com.storlead.boot</groupId>
            <artifactId>storlead-thirdparty-biz</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.stylefeng.roses</groupId>
            <artifactId>pinyin-sdk-pinyin4j</artifactId>
        </dependency>
    </dependencies>

    <build>
        <finalName>storlead-user-biz</finalName>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.0</version>
                <configuration>
                    <source>11</source>
                    <target>11</target>
                </configuration>
            </plugin>
        </plugins>
        <resources>
            <resource>
                <directory>src/main/resources</directory>
                <filtering>true</filtering>
            </resource>
        </resources>
    </build>
</project>
